#!/usr/bin/perl -w
use strict;

use Term::ReadLine;
# for correction and command history you must have
# Term::ReadLine::Gnu (from CPAN) installed

my $term = new Term::ReadLine 'regular expression test for TkCodex';
my $pr1 = "sample sub format: "; my $pr2 ="regexp: ";
my $OUT = $term->OUT || *STDOUT;

while (1) {
	my $st=$term->readline($pr1);
	my $rg=$term->readline($pr2);
	if ($st =~ /$rg/) {
		my $tag=$2;
		print $OUT "$st contains $rg\n";
		if (!(defined($tag)) || $tag !~ /\w/) {print $OUT "but you don't have a valid 2nd substring!\n"}
		else {print "the index will be \"$tag\"\n"}	
	}
	else {print "$st does not contain $rg\n"}
}
